### Method

# Clutter Actor set_allocation

#### Declaration [src]

    void
    clutter_actor_set_allocation (
      ClutterActor* self,
      const ClutterActorBox* box
    )

#### Description [src]

Stores the allocation of `self` as defined by `box`.

This function can only be called from within the implementation of the `Clutter.ActorClass.allocate` virtual function.

The allocation `box` should have been adjusted to take into account constraints, alignment, and margin properties.

This function should only be used by subclasses of `ClutterActor` that wish to store their allocation but cannot chain up to the parent’s implementation; the default implementation of the `Clutter.ActorClass.allocate` virtual function will call this function.

#### Parameters

`box`

  Type: `ClutterActorBox`

  A `ClutterActorBox`.

  The data is owned by the caller of the method.